<html>
<head>
<title>OgreCommon.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">OgreCommon.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgreString_8h_source.html">OgreString.h</a>&quot;</code><br/>
<code>#include &lt;utility&gt;</code><br/>
<code>#include &lt;sstream&gt;</code><br/>
</div>
<p><a href="OgreCommon_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector&lt; T &gt;</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A hashed vector.  <a href="classOgre_1_1HashedVector.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html">Ogre::TRect&lt; T &gt;</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Structure used to define a box in a 3-D integer space.  <a href="structOgre_1_1Box.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderWindowDescription.html">Ogre::RenderWindowDescription</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Render window creation parameters.  <a href="structOgre_1_1RenderWindowDescription.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NameGenerator.html">Ogre::NameGenerator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Utility class to generate a sequentially numbered series of names.  <a href="classOgre_1_1NameGenerator.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pool.html">Ogre::Pool&lt; T &gt;</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Template class describing a simple pool of items.  <a href="classOgre_1_1Pool.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#gaf3fdba7211d7078a43201a1721532f9e">Ogre::TrackVertexColourType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">An enumeration describing which material properties should track the vertex colours.  <a href="group__General.html#gaf3fdba7211d7078a43201a1721532f9e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef HashedVector&lt; Light * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#gaab30ef14aae93306a6044cb38d835f0c">Ogre::LightList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef map&lt; String, bool &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#gaf8039ad2eb9856cb1b181eb3d9507885">Ogre::UnaryOptionList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef map&lt; String, String &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga426e97fd0ca35b59af1d3309ba4780b0">Ogre::BinaryOptionList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef map&lt; String, String &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">Ogre::NameValuePairList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Name / value parameter pair (first = name, second = value)  <a href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef map&lt; String, String &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga20898062bd79359acd1137276d9b0e37">Ogre::AliasTextureNamePairList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Alias / <a class="el" href="classOgre_1_1Texture.html" title="Abstract class representing a Texture resource.">Texture</a> name pair (first = alias, second = texture name)  <a href="group__General.html#ga20898062bd79359acd1137276d9b0e37"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef TRect&lt; float &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga39213af9254535e83b4beca0859e8a2f">Ogre::FloatRect</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Structure used to define a rectangle in a 2-D floating point space.  <a href="group__General.html#ga39213af9254535e83b4beca0859e8a2f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef TRect&lt; Real &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga3e1c672c1d342ffb4f122f44e342bc90">Ogre::RealRect</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Structure used to define a rectangle in a 2-D floating point space, subject to double / single floating point settings.  <a href="group__General.html#ga3e1c672c1d342ffb4f122f44e342bc90"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef TRect&lt; long &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#gae714035a753a8f484650598dc4143db8">Ogre::Rect</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Structure used to define a rectangle in a 2-D integer space.  <a href="group__General.html#gae714035a753a8f484650598dc4143db8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector<br class="typebreak"/>
&lt; RenderWindowDescription &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga7a03bf97326d0d0385b91a74e2c51c5e">Ogre::RenderWindowDescriptionList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Render window creation parameters container.  <a href="group__General.html#ga7a03bf97326d0d0385b91a74e2c51c5e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector&lt; RenderWindow * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga1d8e92efee48ea10e75189c8efa6ec51">Ogre::RenderWindowList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Render window container.  <a href="group__General.html#ga1d8e92efee48ea10e75189c8efa6ec51"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a">Ogre::CompareFunction</a> { <br/>
&#160;&#160;<a class="el" href="group__General.html#gga0212b4eb264f207d84c1df9425208c7aa3a69cd8d515d1f3407abe7f67480cb16">Ogre::CMPF_ALWAYS_FAIL</a>, 
<a class="el" href="group__General.html#gga0212b4eb264f207d84c1df9425208c7aae10ea1648cd8c9bd90bdaccaa11cbc4e">Ogre::CMPF_ALWAYS_PASS</a>, 
<a class="el" href="group__General.html#gga0212b4eb264f207d84c1df9425208c7aaab01a61b3422de9bf7607356b40fd657">Ogre::CMPF_LESS</a>, 
<a class="el" href="group__General.html#gga0212b4eb264f207d84c1df9425208c7aa2272d0faefcf5a2e08bbf7d232d7520b">Ogre::CMPF_LESS_EQUAL</a>, 
<br/>
&#160;&#160;<a class="el" href="group__General.html#gga0212b4eb264f207d84c1df9425208c7aa3d040c506dd77565a3c8b6aca7919d12">Ogre::CMPF_EQUAL</a>, 
<a class="el" href="group__General.html#gga0212b4eb264f207d84c1df9425208c7aada3d0f189fa19cdd4cd362d0f0ef9f6e">Ogre::CMPF_NOT_EQUAL</a>, 
<a class="el" href="group__General.html#gga0212b4eb264f207d84c1df9425208c7aa2eaf066e39eb38a71650c6deb1ee7d45">Ogre::CMPF_GREATER_EQUAL</a>, 
<a class="el" href="group__General.html#gga0212b4eb264f207d84c1df9425208c7aa81812ab72e4f9ccf6932c878f82e2897">Ogre::CMPF_GREATER</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Comparison functions used for the depth/stencil buffer operations and others.  <a href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga21a0186392e9c9ce16d29c5568a773c5">Ogre::TextureFilterOptions</a> { <a class="el" href="group__General.html#gga21a0186392e9c9ce16d29c5568a773c5abfbbf594489b7096500b6b5492d0ff8f">Ogre::TFO_NONE</a>, 
<a class="el" href="group__General.html#gga21a0186392e9c9ce16d29c5568a773c5aa618726878120a47677418f7fb87fa9a">Ogre::TFO_BILINEAR</a>, 
<a class="el" href="group__General.html#gga21a0186392e9c9ce16d29c5568a773c5ae7b55ff89c945a2f1ba336f664add6af">Ogre::TFO_TRILINEAR</a>, 
<a class="el" href="group__General.html#gga21a0186392e9c9ce16d29c5568a773c5a27d43242c4bfc932a046213fdacf919e">Ogre::TFO_ANISOTROPIC</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">High-level filtering options providing shortcuts to settings the minification, magnification and mip filters.  <a href="group__General.html#ga21a0186392e9c9ce16d29c5568a773c5">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#gac1fc36ec2f4df4b2afa9fa39f9c66c06">Ogre::FilterType</a> { <a class="el" href="group__General.html#ggac1fc36ec2f4df4b2afa9fa39f9c66c06aafd094135637964be4a3538226dc5505">Ogre::FT_MIN</a>, 
<a class="el" href="group__General.html#ggac1fc36ec2f4df4b2afa9fa39f9c66c06aa32401d4d252a0f37db15e76233b1823">Ogre::FT_MAG</a>, 
<a class="el" href="group__General.html#ggac1fc36ec2f4df4b2afa9fa39f9c66c06a9d591ceb51142267059d8b39b276d3c1">Ogre::FT_MIP</a>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d">Ogre::FilterOptions</a> { <a class="el" href="group__General.html#gga02306c6246268d35f45ad22278bd5d3da0be36e268ed5d2d25fe91ba5b5f769b5">Ogre::FO_NONE</a>, 
<a class="el" href="group__General.html#gga02306c6246268d35f45ad22278bd5d3dad299986d6ba4f220cc628a1b9a4f6a52">Ogre::FO_POINT</a>, 
<a class="el" href="group__General.html#gga02306c6246268d35f45ad22278bd5d3da6b0e1f92a9531879e2f0acfe5e5183c6">Ogre::FO_LINEAR</a>, 
<a class="el" href="group__General.html#gga02306c6246268d35f45ad22278bd5d3da0ced0c8e18f83505a73c7275563d4372">Ogre::FO_ANISOTROPIC</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Filtering options for textures / mipmaps.  <a href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga7afd4c7d428baaee13f3a0dbcae5f560">Ogre::ShadeOptions</a> { <a class="el" href="group__General.html#gga7afd4c7d428baaee13f3a0dbcae5f560a2278c661ac03aa3bb7177b6deef7ff99">Ogre::SO_FLAT</a>, 
<a class="el" href="group__General.html#gga7afd4c7d428baaee13f3a0dbcae5f560a2973848ded9ca7c0f93a329e12181feb">Ogre::SO_GOURAUD</a>, 
<a class="el" href="group__General.html#gga7afd4c7d428baaee13f3a0dbcae5f560ad65722b0fb2ac38cc603076dd057d57d">Ogre::SO_PHONG</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Light shading modes.  <a href="group__General.html#ga7afd4c7d428baaee13f3a0dbcae5f560">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga83edeb2e5d33a3ca8f15834ba40020ba">Ogre::FogMode</a> { <a class="el" href="group__General.html#gga83edeb2e5d33a3ca8f15834ba40020baab7793a21880052c0214d4cc040992310">Ogre::FOG_NONE</a>, 
<a class="el" href="group__General.html#gga83edeb2e5d33a3ca8f15834ba40020baa5c51ab0c88827f1f30b6c08a32f282a2">Ogre::FOG_EXP</a>, 
<a class="el" href="group__General.html#gga83edeb2e5d33a3ca8f15834ba40020baac3413d47a9e6c30ba39da21339bd1d7f">Ogre::FOG_EXP2</a>, 
<a class="el" href="group__General.html#gga83edeb2e5d33a3ca8f15834ba40020baacd90839d2d222db939530a9fba6f9dad">Ogre::FOG_LINEAR</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Fog modes.  <a href="group__General.html#ga83edeb2e5d33a3ca8f15834ba40020ba">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#gac173244ed7d950d0acd726e4f323ecdb">Ogre::CullingMode</a> { <a class="el" href="group__General.html#ggac173244ed7d950d0acd726e4f323ecdba7868e61bf90df40d5e04e3a951729248">Ogre::CULL_NONE</a> =  1, 
<a class="el" href="group__General.html#ggac173244ed7d950d0acd726e4f323ecdba50170ef4a0a12b9fc6bf0c53e582bdf0">Ogre::CULL_CLOCKWISE</a> =  2, 
<a class="el" href="group__General.html#ggac173244ed7d950d0acd726e4f323ecdba0803d6fedd04659fd6dc152d29434e4a">Ogre::CULL_ANTICLOCKWISE</a> =  3
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Hardware culling modes based on vertex winding.  <a href="group__General.html#gac173244ed7d950d0acd726e4f323ecdb">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga07ec94cf178172a6778223e6f70f23fc">Ogre::ManualCullingMode</a> { <a class="el" href="group__General.html#gga07ec94cf178172a6778223e6f70f23fca1e2d68b31b809934b52aae87b81e22e5">Ogre::MANUAL_CULL_NONE</a> =  1, 
<a class="el" href="group__General.html#gga07ec94cf178172a6778223e6f70f23fcadbebf0c209be54ddb19d6097d4f7042f">Ogre::MANUAL_CULL_BACK</a> =  2, 
<a class="el" href="group__General.html#gga07ec94cf178172a6778223e6f70f23fcaae591121c0f4a8e8c379e4ee3d0cc173">Ogre::MANUAL_CULL_FRONT</a> =  3
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Manual culling modes based on vertex normals.  <a href="group__General.html#ga07ec94cf178172a6778223e6f70f23fc">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#gabf2e0412a783a6f708ca1a58abb45c1b">Ogre::WaveformType</a> { <br/>
&#160;&#160;<a class="el" href="group__General.html#ggabf2e0412a783a6f708ca1a58abb45c1ba7810779988e228dd8d3eef8ba0d566e2">Ogre::WFT_SINE</a>, 
<a class="el" href="group__General.html#ggabf2e0412a783a6f708ca1a58abb45c1bac2f92dba451adb7777e9275d0f2c898a">Ogre::WFT_TRIANGLE</a>, 
<a class="el" href="group__General.html#ggabf2e0412a783a6f708ca1a58abb45c1bafd87232637505fc7c7d29acfd87bd422">Ogre::WFT_SQUARE</a>, 
<a class="el" href="group__General.html#ggabf2e0412a783a6f708ca1a58abb45c1ba2ea1433d653116eabda4940dc660a99c">Ogre::WFT_SAWTOOTH</a>, 
<br/>
&#160;&#160;<a class="el" href="group__General.html#ggabf2e0412a783a6f708ca1a58abb45c1baf2c84f99c1aa134c400ebf959efc1038">Ogre::WFT_INVERSE_SAWTOOTH</a>, 
<a class="el" href="group__General.html#ggabf2e0412a783a6f708ca1a58abb45c1ba1b00383d1dae09b439ca9a0a28ee993c">Ogre::WFT_PWM</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumerates the wave types usable with the <a class="el" href="namespaceOgre.html">Ogre</a> engine.  <a href="group__General.html#gabf2e0412a783a6f708ca1a58abb45c1b">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga68866b02aa7f99e3431337511fbb3345">Ogre::PolygonMode</a> { <a class="el" href="group__General.html#gga68866b02aa7f99e3431337511fbb3345adfb098e30463c0f0689e0e1fbbd5eb0f">Ogre::PM_POINTS</a> =  1, 
<a class="el" href="group__General.html#gga68866b02aa7f99e3431337511fbb3345ac1f71aad59ecae8cd02f0743dc7efa5d">Ogre::PM_WIREFRAME</a> =  2, 
<a class="el" href="group__General.html#gga68866b02aa7f99e3431337511fbb3345a7e87bf8ec063f4e7bf022a7396346211">Ogre::PM_SOLID</a> =  3
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The polygon mode to use when rasterising.  <a href="group__General.html#ga68866b02aa7f99e3431337511fbb3345">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga79dcd426d291c31072c1ad6f183715d6">Ogre::ShadowTechnique</a> { <br/>
&#160;&#160;<a class="el" href="group__General.html#gga79dcd426d291c31072c1ad6f183715d6ad88c064ffac66e1b186fb238861046ed">Ogre::SHADOWTYPE_NONE</a> =  0x00, 
<a class="el" href="group__General.html#gga79dcd426d291c31072c1ad6f183715d6a1bc71098f374fda7da49f39aa1700fd9">Ogre::SHADOWDETAILTYPE_ADDITIVE</a> =  0x01, 
<a class="el" href="group__General.html#gga79dcd426d291c31072c1ad6f183715d6a5646b85f69631dc4820b877506f3b992">Ogre::SHADOWDETAILTYPE_MODULATIVE</a> =  0x02, 
<a class="el" href="group__General.html#gga79dcd426d291c31072c1ad6f183715d6a7823678fe2b349b5d4af74328d4064d9">Ogre::SHADOWDETAILTYPE_INTEGRATED</a> =  0x04, 
<br/>
&#160;&#160;<a class="el" href="group__General.html#gga79dcd426d291c31072c1ad6f183715d6a77da660eef7a78214c39ffa491446285">Ogre::SHADOWDETAILTYPE_STENCIL</a> =  0x10, 
<a class="el" href="group__General.html#gga79dcd426d291c31072c1ad6f183715d6a025e0b181fc7ae3830880d9a802070c0">Ogre::SHADOWDETAILTYPE_TEXTURE</a> =  0x20, 
<a class="el" href="group__General.html#gga79dcd426d291c31072c1ad6f183715d6af1b698ef34b8d97c261b7ade00010b7f">Ogre::SHADOWTYPE_STENCIL_MODULATIVE</a> =  0x12, 
<a class="el" href="group__General.html#gga79dcd426d291c31072c1ad6f183715d6af6e22c7a699e9d05015cecff7b68c52a">Ogre::SHADOWTYPE_STENCIL_ADDITIVE</a> =  0x11, 
<br/>
&#160;&#160;<a class="el" href="group__General.html#gga79dcd426d291c31072c1ad6f183715d6a92a49d0584801cb7ea1e279004b30cf5">Ogre::SHADOWTYPE_TEXTURE_MODULATIVE</a> =  0x22, 
<a class="el" href="group__General.html#gga79dcd426d291c31072c1ad6f183715d6a8a2b43e30e6d8d590e6853e4f46b8103">Ogre::SHADOWTYPE_TEXTURE_ADDITIVE</a> =  0x21, 
<a class="el" href="group__General.html#gga79dcd426d291c31072c1ad6f183715d6ac29b9727942e113575ea3947a89ae047">Ogre::SHADOWTYPE_TEXTURE_ADDITIVE_INTEGRATED</a> =  0x25, 
<a class="el" href="group__General.html#gga79dcd426d291c31072c1ad6f183715d6a2867ba03ee4054517969ee7fac598e2e">Ogre::SHADOWTYPE_TEXTURE_MODULATIVE_INTEGRATED</a> =  0x26
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">An enumeration of broad shadow techniques.  <a href="group__General.html#ga79dcd426d291c31072c1ad6f183715d6">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga5d04131dcb51ec3cf219465196b6de85">Ogre::TrackVertexColourEnum</a> { <br/>
&#160;&#160;<a class="el" href="group__General.html#gga5d04131dcb51ec3cf219465196b6de85a4b75431ccf4b6bde635265300498660e">Ogre::TVC_NONE</a> =  0x0, 
<a class="el" href="group__General.html#gga5d04131dcb51ec3cf219465196b6de85a8d3eb8e812449857231d35205dce797a">Ogre::TVC_AMBIENT</a> =  0x1, 
<a class="el" href="group__General.html#gga5d04131dcb51ec3cf219465196b6de85a09b4b4b6232b724f9d9b325a06f2067a">Ogre::TVC_DIFFUSE</a> =  0x2, 
<a class="el" href="group__General.html#gga5d04131dcb51ec3cf219465196b6de85a451fabea329cb76c0dccb9b811293699">Ogre::TVC_SPECULAR</a> =  0x4, 
<br/>
&#160;&#160;<a class="el" href="group__General.html#gga5d04131dcb51ec3cf219465196b6de85adbcd315d9bd355dc8a8c88ee499504f2">Ogre::TVC_EMISSIVE</a> =  0x8
<br/>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga73dc0089e326fa37f93a30bf67ba7e3a">Ogre::SortMode</a> { <a class="el" href="group__General.html#gga73dc0089e326fa37f93a30bf67ba7e3aab8681f59fb8a9ccea7b9b8bd39bdc562">Ogre::SM_DIRECTION</a>, 
<a class="el" href="group__General.html#gga73dc0089e326fa37f93a30bf67ba7e3aad9e5e193b92b711a1c2ea77b4ab7e0e9">Ogre::SM_DISTANCE</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sort mode for billboard-set and particle-system.  <a href="group__General.html#ga73dc0089e326fa37f93a30bf67ba7e3a">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga0206520b2d2647504c13017f2aaf4741">Ogre::FrameBufferType</a> { <a class="el" href="group__General.html#gga0206520b2d2647504c13017f2aaf4741a37afd2c8cf628f3057c09eac0529a466">Ogre::FBT_COLOUR</a> =  0x1, 
<a class="el" href="group__General.html#gga0206520b2d2647504c13017f2aaf4741a3466d3d0081023a40db64a4cd389fe40">Ogre::FBT_DEPTH</a> =  0x2, 
<a class="el" href="group__General.html#gga0206520b2d2647504c13017f2aaf4741a9433297f57098654c19a42bee065fc9b">Ogre::FBT_STENCIL</a> =  0x4
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines the frame buffer types.  <a href="group__General.html#ga0206520b2d2647504c13017f2aaf4741">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga4921efc65b347efe08a6d4992af069e2">Ogre::InstanceManagerFlags</a> { <br/>
&#160;&#160;<a class="el" href="group__General.html#gga4921efc65b347efe08a6d4992af069e2ab30b6fd5797e6fb286d5655dcd7008e6">Ogre::IM_USE16BIT</a> =  0x0001, 
<a class="el" href="group__General.html#gga4921efc65b347efe08a6d4992af069e2a500082ab3222e5aa5013ea48897031d2">Ogre::IM_VTFBESTFIT</a> =  0x0002, 
<a class="el" href="group__General.html#gga4921efc65b347efe08a6d4992af069e2a2e31b097f5510963d742dce628d868ef">Ogre::IM_VTFBONEMATRIXLOOKUP</a> =  0x0004, 
<a class="el" href="group__General.html#gga4921efc65b347efe08a6d4992af069e2a0ba7e5b252aaa19dd05d22b9c939337d">Ogre::IM_USEBONEDUALQUATERNIONS</a> =  0x0008, 
<br/>
&#160;&#160;<a class="el" href="group__General.html#gga4921efc65b347efe08a6d4992af069e2ac4105c2b84b7dfd08e4bfa35a5ea9848">Ogre::IM_USEONEWEIGHT</a> =  0x0010, 
<a class="el" href="group__General.html#gga4921efc65b347efe08a6d4992af069e2a7f599ab5ea537d8bab3af8aef358fe0a">Ogre::IM_FORCEONEWEIGHT</a> =  0x0020, 
<a class="el" href="group__General.html#gga4921efc65b347efe08a6d4992af069e2a0ef5ea7756d41449148c181eef505d92">Ogre::IM_USEALL</a> =  IM_USE16BIT|IM_VTFBESTFIT|IM_USEONEWEIGHT
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Flags for the Instance Manager when calculating ideal number of instances per batch.  <a href="group__General.html#ga4921efc65b347efe08a6d4992af069e2">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga4acd510f26a9a302753cf95b35096527">Ogre::ClipResult</a> { <a class="el" href="group__General.html#gga4acd510f26a9a302753cf95b35096527a11f88c21db09eedd4e2b32ee1339c573">Ogre::CLIPPED_NONE</a> =  0, 
<a class="el" href="group__General.html#gga4acd510f26a9a302753cf95b35096527a51a98f8e33c40d47e8e3ec773cc5f907">Ogre::CLIPPED_SOME</a> =  1, 
<a class="el" href="group__General.html#gga4acd510f26a9a302753cf95b35096527aeea8d5632ece32bfb2f7791d0d64c136">Ogre::CLIPPED_ALL</a> =  2
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic result of clipping.  <a href="group__General.html#ga4acd510f26a9a302753cf95b35096527">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32 <a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#gad838a1c9fb47071ba019701841b4cf10">Ogre::FastHash</a> (const char *data, int len, uint32 hashSoFar=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Fast general hashing algorithm.  <a href="group__General.html#gad838a1c9fb47071ba019701841b4cf10"></a><br/></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">uint32&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group__General.html#gae1e937aed630bd25446cbef3bdd2cc7c">Ogre::HashCombine</a> (uint32 hashSoFar, const T &amp;data)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Combine hashes with same style as boost::hash_combine.  <a href="group__General.html#gae1e937aed630bd25446cbef3bdd2cc7c"></a><br/></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group__General.html#ga6d67d46d838de3b38264f17fb792cddc">Ogre::operator&lt;&lt;</a> (std::ostream &amp;o, const TRect&lt; T &gt; &amp;r)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int <a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#gad78e25bde5597796c07e75d4f857a3cd">Ogre::findCommandLineOpts</a> (int numargs, char **argv, UnaryOptionList &amp;unaryOptList, BinaryOptionList &amp;binOptList)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Locate command-line options of the unary form '-blah' and of the binary form '-blah foo', passing back the index of the next non-option.  <a href="group__General.html#gad78e25bde5597796c07e75d4f857a3cd"></a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
